Workflow érvényesítése
POST
/api/v1/workflow/{workflow_id}/validateValidate all nodes in a workflow to ensure they have required fields. Args: workflow_id: The ID of the workflow to validate user: The authenticated user Returns: Object indicating if workflow is valid and any invalid nodes/edges
cURL példa
curl -X POST \
'https://app.intracord.hu/api/v1/workflow/{workflow_id}/validate' \
-H "X-API-Key: $INTRACORD_API_KEY"Paraméterek
| Név | Hely | Típus | Leírás |
|---|---|---|---|
workflow_idkötelező | path | integer | — |
authorization | header | object | — |
X-API-Key | header | object | — |
Válaszok
200Successful Responseapplication/jsonSéma megtekintése
{
"properties": {
"is_valid": {
"type": "boolean",
"title": "Is Valid"
},
"errors": {
"items": {
"$ref": "#/components/schemas/WorkflowError"
},
"type": "array",
"title": "Errors"
}
},
"type": "object",
"required": [
"is_valid",
"errors"
],
"title": "ValidateWorkflowResponse"
}404Not found422Validation Errorapplication/jsonSéma megtekintése
{
"properties": {
"detail": {
"items": {
"$ref": "#/components/schemas/ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}